#
# spec file for package product-builder
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Summary:        SUSE Product Builder
License:        GPL-2.0-only
Group:          System/Management
Url:            http://github.com/openSUSE/product-builder
Name:           product-builder
Conflicts:      kiwi
Conflicts:      kiwi-instsource
Version:        1.0.9
Release:        lp150.1.1
Provides:       kiwi-schema = 6.2
Source:         product-builder-%version.tar.xz
# temporary hack for openSUSE:Factory only
Patch1:         accept_old_meta_package.patch

Requires:       libxslt
Requires:       perl >= %{perl_version}
Requires:       perl-Class-Singleton
Requires:       perl-Config-IniFiles >= 2.49
Requires:       perl-File-Slurp
Requires:       perl-JSON
Requires:       perl-Readonly
Requires:       perl-XML-LibXML
Requires:       perl-XML-LibXML-Common
Requires:       perl-XML-SAX
Requires:       perl-libwww-perl

Provides:       kiwi-packagemanager:instsource
Provides:       system-packages:kiwi-product
Requires:       build
Requires:       checkmedia
Requires:       inst-source-utils
Requires:       mkisofs
Requires:       product-builder-plugin
%ifarch %ix86 x86_64
Requires:       syslinux
%endif

%description
The SUSE product builder, builds product media (CD/DVD) for
the SUSE product portfolio. Based on kiwi perl implementation.

To be used only for product medias for Leap 15 and SLE 15.

%prep
%setup -q
%if 0%{?skelcd_compat}
%patch1 -p1
%endif

%build
test -e /.buildenv && . /.buildenv
make buildroot="%{buildroot}" CFLAGS="%{optflags}"

%install
make buildroot="%{buildroot}" \
    doc_prefix="%{buildroot}/%{_defaultdocdir}" \
    man_prefix="%{buildroot}/%{_mandir}" \
    install
./.version >"%{buildroot}/%{_datadir}/kiwi/.revision"

%files
%defattr(-, root, root)
%dir %{_datadir}/kiwi
%doc LICENSE
%{_datadir}/kiwi/.revision
%{_datadir}/kiwi/metadata
%{_datadir}/kiwi/modules
%{_datadir}/kiwi/xsl
%{_bindir}/product-builder

%changelog
* Tue Apr 24 2018 adrian@suse.de
- 1.0.9
  * have a different medium name in media.?/media for debug and
    source medium
* Mon Mar 26 2018 adrian@suse.de
- 1.0.8
  * support skelcd with NET subfolder
* Tue Mar 13 2018 coolo@suse.com
- 1.0.7
  * fix ppc64le (related to bsc#1084893)
- align with SLE changes file (add accept_old_meta_package.patch)
* Thu Mar  8 2018 adrian@suse.de
- 1.0.6
  * fixed platform ID for EFI boot (bsc#1081739)
- fix dependencies to mkisofs
- using spec file from git now
* Fri Mar  2 2018 adrian@suse.de
- 1.0.5
  * use mkisofs instead of unmaintained wodim
* Fri Feb 16 2018 adrian@suse.de
- 1.0.4
  * Fix ChangeLog file generation
* Fri Jan 19 2018 adrian@suse.de
- 1.0.3
  * Adapt to changed -debuginfo-32bit -> -32bit-debuginfo name scheme in SLE 15
    (incompatible change)
* Tue Jan 16 2018 adrian@suse.de
- 1.0.2
  * drop IA64 support and fix corner case for qemu-x86-debug* packages
* Thu Jan 11 2018 adrian@suse.de
- 1.0.1
  * allow to call mk_changelog again (bsc#1050404)
    default is still off
* Fri Dec  1 2017 adrian@suse.de
- tag it as 1.0
- fix UEFI secure boot (bsc#939456)
* Tue Nov 21 2017 dimstar@opensuse.org
- Apply accept_old_meta_package.patch also in case prjmeta has a
  skelcd_compat variable defined. This allows us to change
  suse_version while still not being able to migrate to the new
  product converter/builder for Tumbleweed.
* Fri Oct  6 2017 adrian@suse.de
- patch README.BETA again
* Fri Sep 22 2017 adrian@suse.de
- bring back media.?/media file
- drop media.?/build instead
- building separate media is an explicit setting now
* Fri Sep 15 2017 adrian@suse.de
- copy .treeinfo for virt-installer
* Tue Sep 12 2017 adrian@suse.de
- detect all products which got put on media
* Tue Sep  5 2017 adrian@suse.de
- Add accept_old_meta_package.patch: temporarily accept metadata
  in /CD1 for tumbleweed to ease migration.
* Mon Aug 21 2017 adrian@suse.de
- bring back media.1/products file
  => means that pure repomd data is not anymore enough for YaST
    installer
* Mon Aug 21 2017 adrian@suse.de
- fix metapackage unpack loop
* Wed Aug  9 2017 ro@suse.de
- only use x86 boot image on s390/s390x if it exists
- also, on s390/s390x if we have a x86_64 image, make that bootable
- enforce default to abort on missing packages
* Tue Aug  8 2017 adrian@suse.de
- always exit on error (bsc#1052017)
* Tue Jul 11 2017 adrian@suse.de
- add Provides system-packages:kiwi-product
- temporary compat code for /CD? directories in meta packages
* Tue Jun 27 2017 adrian@suse.de
- install missing file for generating PowerPC medias (bsc#1046114)
* Fri Jun 23 2017 adrian@suse.de
- fix unpacking of meta packages and plugin execution
* Wed May 24 2017 adrian@suse.de
- adapt path of meta packages to /usr/lib/skeldcd/CD?  (bsc#1031335)
* Fri Apr 28 2017 jengelh@inai.de
- Stop using old RPM shell vars
* Tue Apr 11 2017 adrian@suse.de
- initial package based on kiwi 7, first attempt for Leap 15
